
# Eugenio's demo stuff

## Live demos
- [BoatyBall reservation system](https://demo.4dates.net/bball): Frontend on AWS: React, MobX state management, Material UI component library, Axios HTTP client, Nginx
- [React wiki demo](https://wiki.4dates.net/): MERN stack : NoSQL DB - MongoDB 6.0, Mongoose 7.0, Express.js 4.18, React.js 18.2, Node.js 21.6
- [React combo demo](https://combo.4dates.net/): TypeScript, React v18.2.0, TanStack Query, Axios, React Hook Form, Floating UI, Material UI v5
- [PHP Yii2 MVC framework demo](https://demo.4dates.net/mvc): LAMP stack: Ubuntu 20.04, Nginx 1.18, SQL DB - MariaDB 1.10.6, PHP, Yii 2.0.47
- [ETL / Apache Nifi demo](https://demo.4dates.net/nifi): JDK 11 - OpenJDK, Apache NiFi 1.20.0, Jetty 9.4.50

## Source code

### High-Performance Wikipedia Search and Analysis Tool 
Complete ready to run source code of React [Wikipedia Search](https://wiki.4dates.net/) server and client: [here at GitHub](/wiki)

### Combo demo 
Complete ready to run source code of TypeScript/React [combo demo](https://combo.4dates.net/): [here at GitHub](/combo)

### Other source code samples
- `Amazon_Cognito-user-pool.tf` - IaC Terraform: Amazon Cognito User pool / OAuth 2.0 Google identity provider
- `AWS_Lambda-triggers.tf` - IaC Terraform: AWS lambda (*.mjs) creation script
- `jenkins-pipeline.txt` - Jenkins CI/CD pipeline configuration script for ReactJs Converter application
- `BallDetails.js` - React source code of the [first screenshot](https://demo.4dates.net/bball) of BoatyBall demo
- `class-wp-widget-converter.php` - WordPress custom widget
- `drive.py` - Python: Google Workspace API: command-line app working with Drive API
- `HookAction.php` - PHP: Telegram Bot API implementation over webhooks
- `mp3_tagger.py` - Python: mp3 media files command line tagger
- `PushController.php` - PHP: Yii2 framework controller component implementing OneSignal Server REST API
- `RfeTg.php` - PHP: Yii2 framework model component

**All the content above has been personally created by Eugenio,
demonstrating his proficiency in the tech stack skills listed on his CV**
